// take care that desktop isn't locked
var was_locked = false;
if (locked) {
    was_locked = true;
    locked = false;
}

var panel = new Panel
if (panelIds.length == 1) {
    // we are the only panel, so set the location for the user
    panel.location = 'bottom'
}

panel.height = screenGeometry(panel.screen).height >= 1024 ? 35 : 27;
launcher = panel.addWidget("launcher");
launcher.globalShortcut = "Alt+F1"
launcher.writeConfig("Share", "false");
launcher.writeConfig("icon", "start-here-kanotix");
launcher.reloadConfig();
panel.addWidget("showdesktop");

dolphinIcon = panel.addWidget("icon");
dolphinIcon.writeConfig("Url", applicationPath("dolphin.desktop"));

webbrowserIcon = panel.addWidget("icon");
webbrowserIcon.writeConfig("Url", applicationPath("x-www-browser.desktop"));

konsoleIcon = panel.addWidget("icon");
konsoleIcon.writeConfig("Url", applicationPath("konsole.desktop"));

panel.addWidget("pager")
panel.addWidget("tasks")

systray = panel.addWidget("systemtray");
systray.writeConfig("alwaysShown", "notifier");
i = 0;
if (hasBattery) {
    systray.currentConfigGroup = new Array("Applets", ++i);
    systray.writeConfig("plugin", "battery");
}
systray.currentConfigGroup = new Array("Applets", ++i);
systray.writeConfig("plugin", "notifier");

systray.currentConfigGroup = new Array("Applets", ++i);
systray.writeConfig("plugin", "org.kde.networkmanagement");

clock = panel.addWidget("digital-clock");
clock.writeConfig("showDate", "true");

// restore previous lock state
if (was_locked) {
    locked = true;
}
